// creator  : weidu.exe (version 23100)
// argument : ELMIN5.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~ELMIN5~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #9865 /* ~Why are druids attacking all who enter the wood? This is not our role! Where is the balance in this?~ */
  IF ~~ THEN REPLY #9871 /* ~Ask what you will of me about the keys, and I shall give you what answers you are worthy of. Some questions I may not answer.~ */ GOTO 1
  IF ~~ THEN REPLY #9878 /* ~This staff, what use is it to me?~ */ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #9872 /* ~Can you tell me about this ring?~ */
  IF ~~ THEN REPLY #9875 /* ~I once believed that with age would come wisdom, but every day I seem to doubt it more... Much as it pains me to admit it, Sir William is right. It is time I spoke with my wife.~ */ GOTO 2
  IF ~~ THEN REPLY #9882 /* ~When should I use this hand?~ */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 5.1 1.0
  SAY #9876 /* ~What of this blood of a true friend that the riddle speaks of?~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #10066 /* ~The murders of the Umar Hills have been stopped.

The Shade Lord has been killed, the land around the ruined temple to Amaunator restored to the sun, and no longer will his shadows bother the village of Imnesvale or anyone else in the Umar Hills.  The mayor of Imnesvale was extremely thankful for the saving of his village.~ */ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1 0.1
  SAY #9879 /* ~I have no questions for you at this time.~ */
  IF ~~ THEN REPLY #9880 /* ~It is not first, nor does it belong in the third pipe.~ */ GOTO 5
  IF ~~ THEN REPLY #9881 /* ~What of this blood of a true friend that the riddle speaks of?~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 5.0 3.1
  SAY #9883 /* ~This staff, what use is it to me?~ */
  IF ~~ THEN REPLY #9892 /* ~I have no questions for you at this time.~ */ GOTO 6
  IF ~~ THEN REPLY #9898 /* ~The staff shall seal the bargain and prove your worth.~ */ GOTO 7
END

IF ~~ THEN BEGIN 5 // from: 3.0
  SAY #9893 /* ~(A pained look of regret crosses over Quallo's face and he turns away.)~ */
  IF ~~ THEN REPLY #9894 /* ~Class Kit~ */ GOTO 4
  IF ~~ THEN REPLY #9895 /* ~Then the One has told you that it requires 4 things to unlock itself. The lock is more complicated than that. The keys must be used in the correct order.~ */ GOTO 2
END

IF ~~ THEN BEGIN 6 // from: 4.0
  SAY #9897 /* ~It was Vallah's hand that cast the One into the depths. His suffering is of prime importance.~ */
  IF ~~ THEN REPLY #9902 /* ~I have no questions for you at this time.~ */ GOTO 8
  IF ~~ THEN REPLY #9910 /* ~RRarp!! Grrrr...~ */ GOTO 9
END

IF ~~ THEN BEGIN 7 // from: 4.1
  SAY #9899 /* ~What of this blood of a true friend that the riddle speaks of?~ */
  IF ~~ THEN REPLY #9900 /* ~Can you tell me about this ring?~ */ GOTO 8
  IF ~~ THEN REPLY #9901 /* ~This staff, what use is it to me?~ */ GOTO 9
END

IF ~~ THEN BEGIN 8 // from: 7.0 6.0
  SAY #9911 /* ~Can you tell me about this ring?~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #10074 /* ~The de'Arnise Keep has been invaded.

Nalia has told me of the danger facing her keep.  Trolls have taken over, aided by some kind of "snake creature".  A few surviving guards have set up a palisade outside of the castle.  Her family may still be trapped inside.  A servant named Daleson may provide useful information if he is still alive inside.  Nalia suggests we track him down first once inside.

The best way to enter the castle is not through the front gate, which is likely closed.  A secret entrance in the castle wall is hidden behind a bush, directly north of the palisade.~ */ EXIT
END

IF ~~ THEN BEGIN 9 // from: 7.1 6.1
  SAY #9912 /* ~Yrrrssss!!~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #10074 /* ~The de'Arnise Keep has been invaded.

Nalia has told me of the danger facing her keep.  Trolls have taken over, aided by some kind of "snake creature".  A few surviving guards have set up a palisade outside of the castle.  Her family may still be trapped inside.  A servant named Daleson may provide useful information if he is still alive inside.  Nalia suggests we track him down first once inside.

The best way to enter the castle is not through the front gate, which is likely closed.  A secret entrance in the castle wall is hidden behind a bush, directly north of the palisade.~ */ EXIT
END
